Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractEdges Class Reference

`#include <vtkExtractEdges.h>`

Inheritance diagram for vtkExtractEdges:

[legend]
Collaboration diagram for vtkExtractEdges:

[legend]
List of all members.

## Detailed Description

extract cell edges from any type of data

Date:
  2002/09/26 12:07:14

Revision:
  1.33

vtkExtractEdges is a filter to extract edges from a dataset. Edges are extracted as lines or polylines.

See also:
  vtkFeatureEdges

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (51%)
  - Lorensen, Bill (19%)
  - Law, Charles (13%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkExtractEdges.h)`
  - .`cxx` (`/Graphics/vtkExtractEdges.cxx)`

Examples:
  vtkExtractEdges (Examples)

Tests:
  vtkExtractEdges (Tests)

Definition at line 55 of file vtkExtractEdges.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CreateDefaultLocator ()
unsigned long | GetMTime ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
vtkExtractEdges * | New ()
int | IsTypeOf (const char *type)
vtkExtractEdges * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractEdges ()
| ~vtkExtractEdges ()
void | Execute ()
## Protected Attributes
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkExtractEdges::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 59 of file vtkExtractEdges.h.

## Constructor & Destructor Documentation

vtkExtractEdges::vtkExtractEdges | ( |  | ) | `[protected]`

vtkExtractEdges::~vtkExtractEdges | ( |  | ) | `[protected]`

## Member Function Documentation

vtkExtractEdges* vtkExtractEdges::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractEdges::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkExtractEdges::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkExtractEdges::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkExtractEdges* vtkExtractEdges::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkExtractEdges::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkExtractEdges::SetLocator | ( | vtkPointLocator * | locator | ) |

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkExtractEdges::GetLocator | ( |  | ) | `[virtual]`

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

void vtkExtractEdges::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified.

unsigned long vtkExtractEdges::GetMTime | ( |  | ) | `[virtual]`

| Return MTime also considering the locator. Reimplemented from vtkObject.

void vtkExtractEdges::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkPointLocator* vtkExtractEdges::Locator`[protected]`

| Definition at line 82 of file vtkExtractEdges.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractEdges.h